[package]
name = "tui"
version = "0.1.0"
authors = ["shockrah <alejandros714@protonmail.com>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]

# UI Backend 
tui = "0.14"
termion = "1.5"
unicode-width = "0.1.5"

# Better options support
clap = "2.33.3"

# For json
serde_json = "1.0"
serde = { version = "1.0.114", features = ["derive"] }

# Networking related dependancies
tokio = { version = "1", features = ["rt", "net", "macros", "rt-multi-thread"] }
reqwest = { version = "0.11.2", features = [ "json", "blocking"] }
